> ## Documentation Index
> Fetch the complete documentation index at: https://docs.benzinga.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Government Trades

> Returns government official trades including transactions by members of the US House and Senate

<ResponseExample>
  ```json Response (200 OK) theme={null}
  {}
  ```

  ```json Response (401 Unauthorized) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "auth_failed",
        "id": "unauthorized",
        "value": "Invalid or missing authentication token"
      }
    ]
  }
  ```

  ```json Response (404 Not Found) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "no_data_found",
        "id": "not_found",
        "value": "No data found for the specified parameters"
      }
    ]
  }
  ```

  ```json Response (500 Internal Server Error) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "internal_server_error",
        "id": "server_error",
        "value": "An unexpected error occurred while processing your request"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml /openapi/calendar_api.spec.yml GET /api/v1/government_trades
openapi: 3.0.0
info:
  contact: {}
  description: >-
    This REST API returns structured data for conference calls, dividends,
    earnings (and future earnings dates), economics, pharmaceutical
    announcements, guidance, IPOs, secondary offerings, ratings, M&A activity,
    and splits.
  termsOfService: http://swagger.io/terms/
  title: Calendar API
  version: 2.1.0
servers:
  - url: https://api.benzinga.com
    description: PROD
security: []
paths:
  /api/v1/government_trades:
    get:
      tags:
        - Government Trades
      summary: Government Trades
      description: >-
        Returns government official trades including transactions by members of
        the US House and Senate
      operationId: get-government-trades
      parameters:
        - description: >-
            Page offset. For optimization, performance and technical reasons,
            page offsets are limited from 0 - 100000. Limit the query results by
            other parameters such as date. Default is 0
          in: query
          name: page
          schema:
            type: integer
            default: 0
        - description: Number of results returned. Limit 1000
          in: query
          name: pagesize
          schema:
            type: integer
            default: 100
        - description: Start date in YYYY-MM-DD format
          in: query
          name: date_from
          schema:
            type: string
            format: date
        - description: End date in YYYY-MM-DD format
          in: query
          name: date_to
          schema:
            type: string
            format: date
        - description: >-
            Records last Updated Unix timestamp (UTC). This will force the sort
            order to be Greater Than or Equal to the timestamp indicated
          in: query
          name: updated_since
          schema:
            type: integer
        - description: Date in YYYY-MM-DD format
          in: query
          name: date
          schema:
            type: string
            format: date
        - description: Chamber
          in: query
          name: chamber
          schema:
            type: string
            enum:
              - House
              - Senate
        - description: Fields
          in: query
          name: fields
          schema:
            type: string
        - description: Search keys type
          in: query
          name: search_keys_type
          schema:
            type: string
            enum:
              - report_id
              - ticker
        - description: Search keys
          in: query
          name: search_keys
          schema:
            type: string
      responses:
        '200':
          description: Government Trades
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/calendarapi.GovernmentTradeJSON'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    calendarapi.GovernmentTradeJSON:
      properties:
        data:
          items:
            additionalProperties: true
            type: object
          type: array
      type: object
    api.ErrorResponse:
      properties:
        text:
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: query
      name: token
      type: apiKey

````